Subject: Re: Collection of stgit issues and wishes

From: Jakub Narebski <[email-masked]>
Date: Sun, 10 Dec 2006 18:01:58 +0100

Catalin Marinas wrote:
> On 10/12/06, Jakub Narebski <[email-masked]> wrote:
>>>> Here are some issues which are a bit annoying for me:
>>>> - make "stg help" (without command name) equivalent to "stg --help"
> 
> There was a patch in this area. Doesn't it work correctly now?

I use stgit 0.11

1056:[gitweb/web!git]$ stg help
usage: stg help <command>

while "stg --help" lists all commands.

>>>> - stg new lacks --sign option (I have to remember to do this during
>>>>   "stg refresh").
> 
> For that I use the .git/patchdescr.tmpl file to use as the initial
> commit message. This has a Signed-off-by line.

Ah. I'm sorry, I haven't noticed this. It is
in /usr/share/stgit/examples/

>> And as far as I can see it doe not use git credentials (user.name and
>> user.email).
> 
> StGIT now uses the GIT credentials (and config files).

Hmmm... in stgit 0.11 "stg refresh --sign" once gave me Signed-off-by:
Nobody line instead of using git user.name and user.email.
 
>> And yet another one: better support for reflog, namely giving the "reason"
>> i.e. the reflog message (like "stg push: <subject>", "stg refresh:
>> <subject>", "stg pop: <subject>", "stg commit" etc.), like git-rebase,
>> git-commit --amend and git-am (for example) does.
> 
> I had a patch doing this but I haven't included it. I considered it
> was taking extra time for the push operation. I eventually added some
> patch history support via the "stg log" command.

The git commands StGit uses to perform operations automatically record
changes in branches in reflog. What StGit does not provide is the "reason".
You do use git-update-ref?
-- 
Jakub Narebski